DECLARE @BANCODADOS VARCHAR(50);
SET @BANCODADOS = (SELECT NOME_BANCO_DADOS FROM PRC_BANCOS_DADOS WHERE TIPO_BANCO_DADOS=2)

IF LEN(@BANCODADOS) > 0
	BEGIN
		IF EXISTS(SELECT ID FROM SYSOBJECTS WHERE NAME = 'EST_NF_NFE_RECEBIMENTO' AND XTYPE = 'SN')
		BEGIN
			EXEC ('DROP SYNONYM EST_NF_NFE_RECEBIMENTO');
		END
		EXEC ('CREATE SYNONYM EST_NF_NFE_RECEBIMENTO FOR '+@BANCODADOS+'..EST_NF_NFE_RECEBIMENTO');
	END
ELSE
	BEGIN
		PRINT 'NAO FOI POSSIVEL RETORNAR O BANCO DE DADOS PARA CRIACAO DO SINONIMO EST_NF_NFE_RECEBIMENTO'
	END